安卓蓝牙开发

在做蓝牙相关的安卓项目时,遇到了一个问题,发现手机系统是安卓6.0以上的,安装蓝牙软件,运行时不能搜索到蓝牙设备,更提不上是连接蓝牙,进行数据交流了,后来在网上找到了解决方法,其实原因很简单,就是在安卓6.0系统之上(包括安卓6.0)使用有蓝牙的项目时,不仅要开启蓝牙相关权限,还要再加上<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />这样的权限,才能使用蓝牙,因为安卓6.0以上的系统对安全性进行了加固,所以开发时要多注意一些相关细节问题

详细的可以看下这个链接

http://blog.csdn.net/outdoorsmanm/article/details/50014821

阅读更多
文章标签: 安卓 蓝牙
个人分类: 移动开发,安卓
上一篇android studio开发
下一篇安卓开发工具对比
想对作者说点什么? 我来说一句

BLE安卓蓝牙开发官方案例

2018年06月15日 21.04MB 下载

安卓低功耗蓝牙开发模板

2017年12月25日 337KB 下载

没有更多推荐了,返回首页

关闭
关闭